---
title: UIEvent.pageX
slug: Web/API/UIEvent/pageX
tags:
  - API
  - DOM
  - Non-standard
  - Obsolete
  - Property
  - Read-only
  - Reference
  - UI Events
  - UIEvent
  - events
  - pageX
---
<div>{{APIRef("DOM Events")}} {{obsolete_header}}</div>

<p>The non-standard, read-only {{domxref("UIEvent")}} property <code><strong>pageX</strong></code> returns the horizontal coordinate of the event relative to the whole document.</p>

<div class="warning">
<p>This property was never part of any standard, and was only implemented across a subset of browsers, and only for a limited number of versions. A standardized version of {{domxref("MouseEvent.pageX", "pageX")}} was added to the {{domxref("MouseEvent")}} interface, however, and is well-supported. You should not expect to find <code>pageX</code> on any non-mouse events. Do not look for <code>pageX</code> on any non-mouse events in new code and update existing code as soon as possible.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>pos</em> = <em>event</em>.pageX</pre>

<h3 id="Value">Value</h3>

<p>An integer value, in pixels, indicating the X coordinate at which the mouse pointer was located when the event occurred. This value is relative to the left edge of the entire document, regardless of the current horizontal scrolling offset of the document.</p>

<h2 id="Syntax">Examples</h2>

<p>For an example, see the documentation for the standard {{domxref("MouseEvent.pageX")}} property, which you should use instead.</p>

<h2 id="Specifications">Specifications</h2>

<p><em>This property is not part of any specification. See {{domxref("MouseEvent.pageX")}} instead.</em></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.UIEvent.pageX")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The standard {{domxref("MouseEvent.pageX")}} property</li>
 <li>{{domxref("MouseEvent.pageY")}} (replacement for <code>UIEvent.pageY</code>)</li>
</ul>
